﻿:root {
    --color-corporativo: #117a1f; /* naranja #d85d07;*/ /* azul #4e73df;*/ /* verde domus: #16441f; #117a1f;*/
}

body {
    font-size: 0.8rem;
}

.color-corporativo {
    color: var(--color-corporativo);
}


.bg-color-corporativo {
    background-color: var(--color-corporativo);
}

btn-outline-corporativo {
    color: var(--color-corporativo);
    border-color: var(--color-corporativo);
}

.text-black {
    color: #333;
}

.page-link {
    color: var(--color-corporativo);
}

/* inicio lupa más pequeña*/
/*.fa-search:before {
    font-size: .65rem;
}*/

.input-group-sm > .custom-select, .input-group-sm > .form-control:not(textarea) {
    /* height: calc(1.5em + .5rem + 2px); */
    height: calc(1.5em + .1rem + 2px);
}

.input-group-sm > .custom-select, .input-group-sm > .form-control, .input-group-sm > .input-group-append > .btn, .input-group-sm > .input-group-append > .input-group-text, .input-group-sm > .input-group-prepend > .btn, .input-group-sm > .input-group-prepend > .input-group-text {
    padding: 0rem .5rem;
}

input:valid,
textarea:valid {
    /*background: #fff;*/
    
    /*f8ccc8*/
}

input:invalid,
textarea:invalid {
    background: #fadbd8;
    border-color: #78261f;
}

.check-ok {
    color: lime;
}

input:invalid ~ .check-ok {
    display: none;
}

input:valid ~ .check-ok {
    display: inline;
}
/* fin lupa más pequeña*/


/* inicio sobreescrivo para ppal.aspx*/
.sidebar .nav-item .nav-link {
    padding: 0.6rem;
}
/* fin sobreescrivo para ppal.aspx*/ 

/* inicio sobreescrivo dos clases para login.aspx*/ 
.bg-login-image {
        background-image: url('../images/login.jpg');
        /*background-position: center;*/
        background-size: cover;
    }

.bg-gradient-valgrup {
    background-color: var(--color-corporativo);
    /*background-image: linear-gradient(180deg,#df8a40 10%,#d1892c 100%);*/
    background-size: cover;
}
/* fin sobreescrivo dos clases para login.aspx*/

/* sobreescrivo clases para hacer la barra de cabecer más estrecha*/
.topbar {
    /*height: 3rem;*/
}
/* fin sobreescrivo clases para hacer la barra de cabecer más estrecha*/

/* inicio sobreescrivo clases para formularios*/
.col-form-label {
    /* para que el label que está encima de un txt esté mas apegada */
    padding-bottom: 0;
    font-size: 0.8rem;
    font-weight: normal;/*bold*/
    color: var(--color-corporativozz);

}

/*.form-control {
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0rem;
    height: calc(1.5em + .0rem + 2px + 2px );
}

form.user .form-control-user {
    border-radius: 0rem;
}

.form-control-sm {
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-radius: 0rem;
}*/

.form-control-sm {
    height: calc(1.5em + .1rem + 2px);
    padding: .1rem .2rem;
}

/* inicio sobreescrivo para el cmb registros a mostrar en tablas . tiene que ir debajo de from-control-sm*/
.custom-select-sm {
    height: calc(1.5em + .5rem + 2px);
    padding: .2rem 1.75rem .375rem .75rem;
}
/* fin sobreescrivo para el cmb registros a mostrar en tablas*/

.card .card-header[data-toggle=collapse]::after {
    color: var(--color-corporativo);
}

/* fin sobreescrivo clases para formularios*/

/* inicio sobreescrivo clases para paginación tablas*/
.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: var(--color-corporativo);
    border-color: var(--color-corporativo);
}
/* fin sobreescrivo clases para paginación tablas*/

/* inicio sobreescrivo clases para alinear superior los cards de ppal*/
.card-body {
    flex: 0 1 auto;
}
/* fin sobreescrivo clases para alinear superior los cards de ppal*/

thead {
    /* color de la fila cabecera de las tablas*/
    color: white;
    background-color: var(--color-corporativo);
}
/*
.odd{
    background-color:yellow;
}

.even{
    background-color:rgba(125,0,0,0.5);
}
*/
/*OJRD: para centar card*/
.container, .row {
    height: 100%;
}

.filaSeleccionada{
    /*background-color:palevioletred;*/
    /*font-weight: bold;
    color: #eb17ec;*/
}

.form-group label{
    /*margin-bottom: 0em;
    margin-top: .5em;*/
}
.table-striped tbody tr:nth-of-type(odd) {
    /*sobreescribo la clase table-striped para ponerlo en verde claro*/
    /*background-color: rgba(182, 236, 167, 0.22);*/
}

.page-item.active .page-link {
    /*z-index: 1;
    color: #fff;
    background-color: forestgreen;
    border-color: green;*/
}

.cajatexto{
    /*border: 0;
    border-bottom:1px solid #bbddbb;*/
}

.mlapadding {
    /*padding-top: 15px;
    padding-left: 15px;
    padding-bottom: 15px;*/
}

.table555 td, .table th { 
    /*padding: .50rem;*/        /* para hacer las filas de las tablas más estrechas */
    /*font-size: 0.6rem;*/
}

form-control{ /* para modificar el input */
    /*border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    border-radius:0; */
}

.col-centrada{
    /*float: none;
    margin: 0 auto;*/
}

.campoMediano
{
    /*width:80px;
    height: 25px;*/
    /*margin-bottom: 3px;*/
}

.campoPequeño
{
    /*width:65px;
    height: 25px;*/
    /*margin-bottom: 3px;*/
}

.campoMuyPequeño
{
    /*width:50px;*/
}

.mlaletraPequeña
{
    /*font-size: x-small;*/
}

.mxContenedor{
    /*padding-left: 15px;
    padding-right: 15px;
    margin-right:auto;
    margin-right:auto;*/
}

#gwResultados td 
{
    /*font-size:small;*/
}
#gwResto td 
{
    /*font-size:x-small;*/
}
#gwResto th, #gwResultados th
{ 
    /*color:#004f93;*/   
}

.mycheckBig input {
    width: 25px;
    height: 25px;
}

.mycheckMedium input {
    width: 20px;
    height: 20px;
}

.mycheckSmall input {
    width: 15px;
    height: 15px;
}

.badge-notification {
    position: relative;
    margin-right: 10px;
}

    .badge-notification[data-badge]::after {
        content: attr(data-badge);
        position: absolute;
        top: -11px;
        right: -10px;
        display: flex;
        justify-content: center;
        align-content: center;
        width: 22px;
        height: 22px;
        line-height: 22px;
        font-size: 12px;
        font-weight: 600;
        border-radius: 50%;
        background: var(--danger);
        color: white;
    }

span.badge-notification {
    margin-right: 24px;
}

    span.badge-notification[data-badge]::after {
        top: -20px;
        right: -14px;
    }

.hiddencol {
    display: none;
}

.ocultarObj {
    display: none;
}

.verticalText {
    writing-mode: vertical-lr;
    background-color: var(--color-corporativo);
    font-size: 20px;
    color: white;
    width: 19px;
}

.selected {
    background-color: #1cc88a;
    color: #FFF;    
}

.selectedSalud {
    background-color: #1cc88a;
    color: #FFF;
}

.requerido:after {
    content: " * ";
    color: red;
    font-weight: bold;
    display: inline;    
}

.Grid td {
    background-color: #A1DCF2;
    color: black;
    font-size: 10pt;
    line-height: 200%
}

.Grid th {
    background-color: #3AC0F2;
    color: White;
    font-size: 10pt;
    line-height: 200%
}

.ChildGrid td {
    background-color: #eee !important;
    color: black;
    font-size: 10pt;
    line-height: 200%
}

.ChildGrid th {
    background-color: #6C6C6C !important;
    color: White;
    font-size: 10pt;
    line-height: 200%
}

/*Inicio tab nav wizard*/
.wizard {
    margin: 20px auto;
    background: #fff;
}

    .wizard .nav-tabs {
        position: relative;
        margin: 40px auto;
        margin-bottom: 0;
        border-bottom-color: #e0e0e0;
    }

    .wizard > div.wizard-inner {
        position: relative;
    }

.connecting-line {
    height: 2px;
    background: #e0e0e0;
    position: absolute;
    width: 80%;
    margin: 0 auto;
    left: 0;
    right: 0;
    top: 50%;
    z-index: 1;
}

.wizard .nav-tabs > li.active > a, .wizard .nav-tabs > li.active > a:hover, .wizard .nav-tabs > li.active > a:focus {
    color: #555555;
    cursor: default;
    border: 0;
    border-bottom-color: transparent;
}

span.round-tab {
    width: 70px;
    height: 70px;
    line-height: 70px;
    display: inline-block;
    border-radius: 100px;
    background: #fff;
    border: 2px solid #e0e0e0;
    z-index: 2;
    position: absolute;
    left: 0;
    text-align: center;
    font-size: 25px;
}

    span.round-tab i {
        color: #555555;
    }

.wizard li.active span.round-tab {
    background: #fff;
    border: 2px solid #5bc0de;
}

    .wizard li.active span.round-tab i {
        color: #5bc0de;
    }

span.round-tab:hover {
    color: #333;
    border: 2px solid #333;
}

.wizard .nav-tabs > li {
    width: 100%;
}

.wizard li:after {
    content: " ";
    position: absolute;
    left: 46%;
    opacity: 0;
    margin: 0 auto;
    bottom: 0px;
    border: 5px solid transparent;
    border-bottom-color: #5bc0de;
    transition: 0.1s ease-in-out;
}

.wizard li.active:after {
    content: " ";
    position: absolute;
    left: 46%;
    opacity: 1;
    margin: 0 auto;
    bottom: 0px;
    border: 10px solid transparent;
    border-bottom-color: #5bc0de;
}

.wizard .nav-tabs > li a {
    width: 70px;
    height: 70px;
    margin: 20px auto;
    border-radius: 100%;
    padding: 0;
}

    .wizard .nav-tabs > li a:hover {
        background: transparent;
    }

.wizard .tab-pane {
    position: relative;
    padding-top: 50px;
}

.wizard h3 {
    margin-top: 0;
}

@media( max-width : 585px ) {

    .wizard {
        width: 90%;
        height: auto !important;
    }

    span.round-tab {
        font-size: 16px;
        width: 50px;
        height: 50px;
        line-height: 50px;
    }

    .wizard .nav-tabs > li a {
        width: 50px;
        height: 50px;
        line-height: 50px;
    }

    .wizard li.active:after {
        content: " ";
        position: absolute;
        left: 35%;
    }
}
/*Fin tab nav wizard*/


.update {
    position: fixed;
    top: 0px;
    left: 0px;
    min-height: 100%;
    min-width: 100%;
    background-image: url("../images/spinner.gif");
    background-position: center center;
    background-repeat: no-repeat;
    background-color: #e4e4e6;
    z-index: 500 !important;
    opacity: 0.75;
    overflow: hidden;
}

.updateTexto {
    /*position: fixed;
    top: 0px;
    left: 0px;
    min-height: 100%;
    min-width: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    z-index: 500 !important;*/
    /*    position: fixed;
    font-weight: bold;
    color: black;
    top: 50%;
    left: 42%;
    margin-top: 30px;
    text-align: center;*/
    /*    width: auto;
    height: auto;   */
    /*z-index: 500 !important;*/
    position: absolute;
    font-weight: bold;
    color: black;
    top: 50%;
    left: 50%;
    margin-top: 30px;
    transform: translate(-50%, -50%);
    /*    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100%;
    min-width: 100%;
    font-weight: bold;
    color: black;
    margin-top: 30px;
    z-index: 500 !important;*/
}

/*Plantilla notificacion alta google work space*/
.fuenteNotificacionGoogleCuerpo {
    Margin: 0;
    Margin-bottom: 16px;
    color: #3c4043;
    font-family: Roboto,Helvetica,Arial,sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    margin: 0;
    margin-bottom: 16px;
    padding: 0;
}
.fuenteNotificacionGoogleTitulo {
    Margin: 0;
    Margin-bottom: 8px;
    color: #3c4043;
    font-family: Google Sans,Helvetica,Arial,sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 40px;
    margin: 0;
    margin-bottom: 24px;
    margin-top: 20px;
    padding: 0;
    word-wrap: normal;
}

.tablaImagenes {
    background: #f8f9fa;
    border-collapse: collapse;
    border-spacing: 0;
    display: table;
    font-size: 12px;
    padding: 0;
    vertical-align: top;
    width: 100%;
}

.tablaCuerpo {
    background: #fff;
    border-collapse: collapse;
    border-color: #6C6C6C;
    border-spacing: 0;
    border-style: solid;
    border-width: 1px;
    display: table;
    padding: 0;
    vertical-align: top;
    width: 100%;
}

.columnaImagenes {
    Margin: 0 auto;
    color: #3c4043;
    font-family: Roboto,Helvetica,Arial,sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: inherit;
    margin: 0 auto;
    padding: 0;
    padding-bottom: 24px;
    padding-left: 40px;
    padding-right: 40px;
    padding-top: 12px;
    width: 560px;
}
.encabezadoImagenes {
    Margin: 0;
    color: #3c4043;
    font-family: Roboto,Helvetica,Arial,sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: inherit;
    margin: 0;
    padding: 0;
    text-align: left;
}

.filaContenedora {
    Margin: 0;
    border-collapse: collapse !important;
    color: #3c4043;
    font-family: Roboto,Helvetica,Arial,sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: inherit;
    margin: 0;
    padding: 0;
    vertical-align: top;
    word-wrap:  keep-all;
}